Alembic::Abc::ALEMBIC_VERSION_NS::IArchive Class Reference

`#include <IArchive.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IArchive:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IArchive:
[legend]

## Public Types

typedef IArchive | this_type

## Public Member Functions

| IArchive ()
template<class ARCHIVE_CTOR >
| IArchive (ARCHIVE_CTOR iCtor, const std::string &iFileName, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy, AbcA::ReadArraySampleCachePtr iCachePtr=AbcA::ReadArraySampleCachePtr())
| IArchive (AbcA::ArchiveReaderPtr iPtr, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| IArchive (AbcA::ArchiveReaderPtr iPtr, WrapExistingFlag, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| ~IArchive ()
std::string | getName () const
IObject | getTop () const
AbcA::ReadArraySampleCachePtr | getReadArraySampleCachePtr ()
void | setReadArraySampleCachePtr (AbcA::ReadArraySampleCachePtr iPtr)
AbcA::ArchiveReaderPtr | getPtr ()
void | reset ()
AbcA::TimeSamplingPtr | getTimeSampling (uint32_t iIndex)
| Returns the TimeSampling at a given index. More...
uint32_t | getNumTimeSamplings ()
index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)
bool | valid () const
int32_t | getArchiveVersion ()
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members

Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Detailed Description

Definition at line 52 of file IArchive.h.

## Member Typedef Documentation

## this_type

typedef IArchive Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::this_type

By convention, we always define "this_type" in every Abc class. This convention is relied upon by the unspecified-bool-type cast

Definition at line 58 of file IArchive.h.

## Constructor & Destructor Documentation

## IArchive() [1/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( |  | ) |

inline

The default constructor creates an empty IArchive function set. ...

Definition at line 66 of file IArchive.h.

## IArchive() [2/4]

template<class ARCHIVE_CTOR >

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( | ARCHIVE_CTOR | iCtor,
|  | const std::string & | iFileName,
|  | ErrorHandler::Policy | iPolicy = `ErrorHandler::kThrowPolicy`,
|  | AbcA::ReadArraySampleCachePtr | iCachePtr = `AbcA::ReadArraySampleCachePtr()`
| ) |  |

The explicit constructor opens an existing archive with the given file name. Additional arguments that may be passed are the error handler policy and a pointer to a cache instance. By default, an archive-local cache will be created.

Parameters

  iCtor | We need to pass in a constructor which provides an explicit link to the concrete implementation of AbcCoreAbstract that we're using.
  iFileName | The file name.

Definition at line 198 of file IArchive.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END_RESET, Alembic::Abc::ALEMBIC_VERSION_NS::Base::getErrorHandler(), and Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::setPolicy().

Here is the call graph for this function:

## IArchive() [3/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( | AbcA::ArchiveReaderPtr | iPtr,
|  | ErrorHandler::Policy | iPolicy = `ErrorHandler::kThrowPolicy`
| ) |  |

inline

This attaches an IArchive wrapper around an existing ArchiveReaderPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iPolicy | Optional error handling policy ...

Definition at line 87 of file IArchive.h.

## IArchive() [4/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( | AbcA::ArchiveReaderPtr | iPtr,
|  | WrapExistingFlag | ,
|  | ErrorHandler::Policy | iPolicy = `ErrorHandler::kThrowPolicy`
| ) |  |

inline

Definition at line 103 of file IArchive.h.

## ~IArchive()

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::~IArchive | ( |  | ) |

Destructor ...

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

The unspecified-bool-type operator casts the object to "true" if it is valid, and "false" otherwise.

## getArchiveVersion()

int32_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getArchiveVersion | ( |  | ) |

Returns the Alembic library numeric version (see Foundation.h) of this archive file.

## getMaxNumSamplesForTimeSamplingIndex()

index_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getMaxNumSamplesForTimeSamplingIndex | ( | uint32_t | iIndex | ) |

Returns the maximum number of samples written for the TimeSampling at the given index. If an illegal iIndex is specified, or a max number of samplings couldn't be found for that iIndex (for older archives pre 1.1.3) INDEX_UNKNOWN will be returned.

## getName()

std::string Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getName | ( |  | ) | const

Default copy constructor Default assignment operator Returns the file name. It is an error to do so with an invalid object.

## getNumTimeSamplings()

uint32_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getNumTimeSamplings | ( |  | ) |

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

## getPtr()

AbcA::ArchiveReaderPtr Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getPtr | ( |  | ) |

inline

getPtr, as usual, returns a shared ptr to the underlying AbcCoreAbstract object, in this case the ArchiveReaderPtr.

Definition at line 151 of file IArchive.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::GetArchiveReaderPtr().

Here is the caller graph for this function:

## getReadArraySampleCachePtr()

AbcA::ReadArraySampleCachePtr Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getReadArraySampleCachePtr | ( |  | ) |

Get the read array sample cache. It may be a NULL pointer. Caches can be shared amongst separate archives, and caching will be disabled if a NULL cache is returned here.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getTimeSampling | ( | uint32_t | iIndex | ) |

Returns the TimeSampling at a given index.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::getTimeSampling().

Here is the caller graph for this function:

## getTop()

IObject Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getTop | ( |  | ) | const

This returns the single top-level IObject that exists automatically as part of the archive.

## reset()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::reset | ( |  | ) |

inline

Reset returns this function et to an empty, default state.

Definition at line 155 of file IArchive.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::Base::reset().

Here is the call graph for this function:

## setReadArraySampleCachePtr()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::setReadArraySampleCachePtr | ( | AbcA::ReadArraySampleCachePtr | iPtr | ) |

Set the read array sample cache. It may also be a NULL pointer. Caches can be shared amongst separate archives, and caching will be disabled if a NULL cache is passed here.

## valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::valid | ( |  | ) | const

inline

Valid returns whether this function set is valid.

Definition at line 172 of file IArchive.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::Base::valid().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/IArchive.h